QGIS Application - Bug report #10456
composer - impossible to copy & paste multiframe items
2014-06-04 05:14 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18868
Description

It's currently impossible to copy and paste a HTML frame.

Associated revisions

Revision 7a2ab1cc - 2018-01-22 09:14 PM - Nyall Dawson

[layouts] Fix multiframe items (tables, html) cannot be pasted

Fixes #10456, #17882

History

#1 - 2014-11-17 02:55 PM - ramon .
Its probably worth mentioning that as a work around, you can select the html frame you want, and then press the "Add Frame" button that is in the ltem
Properties tab, a new identical frame is created.
#2 - 2015-06-15 12:33 PM - Nyall Dawson
- Subject changed from composer - impossible to copy & paste html frames to composer - impossible to copy & paste multiframe items
#3 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No
#4 - 2017-11-14 11:19 AM - Nikolay Lebedev
ramon . wrote:
Its probably worth mentioning that as a work around, you can select the html frame you want, and then press the "Add Frame" button that is in the

Item Properties tab, a new identical frame is created.

Unfortunately, this copy is completely identical, so i.e. you can't set different filter for this copied table. And the content is identical also.
In general, it's not clear what this "Add frame" button does.

#5 - 2018-01-22 09:14 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|7a2ab1cc7cec419005325¢5f21616f7faa106d13.

#6 - 2018-02-21 09:41 PM - Giovanni Manghi

- Resolution set to fixed/implemented
